For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a document

URL

GET https://api.complycube.com/v1/documents/:id

Retrieves an existing document.

This will retrieve the document object. To download attachments, you should use the download attachment image endpoint.

Headers

Name
Type
Description

Authorization*

string

The API live or test key.

Path parameters

Name
Type
Description

id*

string

The ID of the document.

Example request

curl -X GET https://api.complycube.com/v1/documents/{:documentId} \
     -H 'Authorization: <YOUR_API_KEY>' 
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const document = await complycube.document.get("DOCUMENT_ID");
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

document = cc_api.documents.get('DOCUMENT_ID')
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$document = $ccapi->documents()->get('DOCUMENT_ID');
using ComplyCube.Net;
using ComplyCube.Net.Resources.Documents;

var docApi = new DocumentApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var document = await docApi.GetAsync("DOCUMENT_ID");

Example responses

{
    "id": "5eb158880c19580007310f22",
    "clientId": "5eb1276d96be4a0008713af5",
    "type": "driving_license",
    "classification": "proof_of_identity",
    "issuingCountry": "GB",
    "images": [
        {
            "id": "5eb3c8ff2b5c980007e62024",
            "fileName": "front-test.jpg",
            "documentSide": "front",
            "downloadLink": "/documents/5eb158880c19580007310f22/images/5eb169302d868c0008828591/download",
            "contentType": "image/jpg",
            "size": 72716,
            "createdAt": "2020-01-04T18:20:21.122Z",
            "updatedAt": "2020-01-04T18:20:21.122Z"
        }
    ],
    "createdAt": "2020-01-04T17:24:29.146Z",
    "updatedAt": "2020-01-04T17:24:29.146Z"
}